Extra debug information added to md5sum check failure. Changed dd count= option to...
[backups/.git] / scripts / burn-imgs.sh
index a1a6483b3403d70b1b7394e45b94c8969c681837..da5b11b911591dc15f2239bf663a8b5ae7dd96aa 100755 (executable)
@@ -2,8 +2,6 @@
 
 export PATH=$(dirname $0):/bin:/usr/bin:/sbin
 
-cronstopstart="/etc/init.d/cron"
-
 # source the default configuration
 . config.sh
 
@@ -36,10 +34,12 @@ $cronstopstart stop
 renice -10 $$
 
 # Burn the image to a disk.
-cdrecord-wrapper.sh -dao dev=$sdev $img > $logfile 2>&1
+cdrecord-wrapper.sh $cdrecordopts dev=$sdev $img > $logfile 2>&1
 
 if [ "0" != "$?" ]; then
   echo >&2 "cdrecord failed!"
+  $cronstopstart start
+  cat $logfile | grep -v "MB written" | grep -v "to quit" | mailx -s "backups: failed to burn $img!!!" $mailto
   exit 1
 fi
 
@@ -52,11 +52,14 @@ sleep 60
 
 # Now verify the disk by running md5sum on the entire contents of the disk
 md5sum=$(tempfile)
-dd if=$dev bs=1M count=4440 2>>$logfile | md5sum | awk '{print$1}' > $md5sum
+dd if=$dev bs=1M count=$imagesizemb 2>>$logfile | md5sum | awk '{print$1}' > $md5sum
 
 # Check that the md5sums match
 if ! cmp $md5sum $img.md5sum; then
-  echo "Failed" | mailx -s "DVD md5sum doesn't match image file!!!" $mailto
+  echo "md5sum check FAILED" >> $logfile
+  echo "dd if=$dev bs=1M count=$imagesizemb 2>>$logfile | md5sum | awk '{print\$1}' > $md5sum" >> $logfile
+  e2label $dev >> $logfile
+  cat $logfile | grep -v "MB written" | grep -v "to quit" | mailx -s "DVD md5sum doesn't match image file!!!" $mailto
   exit 1
 fi
 
@@ -73,10 +76,10 @@ date >> $img.stat
   cat $img.stat
   echo
   cat $logfile
-} | mailx -s "DVD burned.  File as $(basename ${img%.*})" $mailto > $logfile 2>&1
+} | grep -v "MB written" | grep -v "to quit" | mailx -s "DVD burned.  File as $(basename ${img%.*})" $mailto > $logfile 2>&1
 
 # Two lines in the stat file indicate two successful burns.  Clean-up the image.
-if [ "$(wc -l $img.stat 2>/dev/null | awk '{print$1}')" == "2" ]; then
+if [ "$(wc -l $img.stat 2>/dev/null | awk '{print$1}')" == "$makeXcopies" ]; then
   # Burned the image twice.  Removing it and associated files!
   rm -f $img{,.md5sum,.stat}
   [ -d $img.mnt ] && rmdir $img.mnt